Author Topic: Stuck on 7.0.4 rest on 7.0.5  (Read 289 times)

cforker

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Stuck on 7.0.4 rest on 7.0.5
« on: August 02, 2022, 06:17:28 pm »
Hi, I have an upgrade problem with my servers. I do have 4 Zentyal Servers running. 3 of them are on 7.0.4 and are stuck when updating. It says:

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://packages.zentyal.com/zentyal-qa 7.0 InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EF358ACFF842CD9E
W: Failed to fetch http://packages.zentyal.com/zentyal-qa/dists/7.0/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EF358ACFF842CD9E
W: Some index files failed to download. They have been ignored, or old ones used instead.

The 4th server hasn't any problem and is on 7.0.5. They al are on auto update and should have the same version. I have tried everthing to solve this issue with trying to add the key but same message with all 3 servers. Config is the same and by the way, the working one on 7.0.5 isn't the main controller!

Any help on how to resolve the NO_PUBKEY EF358ACFF842CD9E issue will be appreciated.

Thanx,

Chris
« Last Edit: August 02, 2022, 06:34:57 pm by cforker »

turalyon

  • Zen Warrior
  • ***
  • Posts: 115
  • Karma: +12/-0
    • View Profile
Re: Stuck on 7.0.4 rest on 7.0.5
« Reply #1 on: August 03, 2022, 10:09:00 am »
Take a look at the following topic:

* https://forum.zentyal.org/index.php/topic,35450.msg115128.html#msg115128

--

“This world is ours, and by the Holy Light we will keep it safe, now and forever".

cforker

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Stuck on 7.0.4 rest on 7.0.5
« Reply #2 on: August 04, 2022, 02:00:26 pm »
Hy Turalyon,

thanks for you reply. That was something I already tried but its not working. I also guess that you have to replace zentyal-6.2-packages.asc with zentyal-7.0-packages.asc since I'm on the latest version.
« Last Edit: August 04, 2022, 02:02:46 pm by cforker »

cforker

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Stuck on 7.0.4 rest on 7.0.5
« Reply #3 on: August 04, 2022, 03:09:32 pm »
Ok, found out that my Keys are expired. Not sure why since I just bought 4 of them in march, but also my keys can't be validated anymore. Contacted support for this.

Many thanks for the help.